Name:           wxapt
Version:        1.3
Release:        alt1_9
Summary:        Console application for decoding and saving weather images

Group:          Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/apt.html
Source0:        http://5b4az.chronos.org.uk/pkg/apt/wxapt/%{name}-%{version}.tar.gz
Patch0:		wxapt.makefile.patch

BuildRequires:  ncurses-devel
Source44: import.info
#Requires:   
#ExcludeArch:	PPC
#ExcludeArch:	PPC64    

%description
wxapt is a console application for decoding and saving weather images
transmitted in the APT format of NOAA and METEOR satellites.

%prep
%setup -qn %{name}
%patch0 -p1 -b makefile.patch
#fix CFLAG from upstream
sed -i -e 's/-march=native//g' Makefile

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
#skip make install and do manual install, it's just one file
install -D -m 0755 wxapt $RPM_BUILD_ROOT%{_bindir}/%{name}
#skip .desktop file as this is a command line application

%files
%doc AUTHORS README
%{_bindir}/*


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_9
- initial fc import

